| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# NTuple::Range< TYP > Class Template Reference

`#include <NTuple.h>`

Collaboration diagram for NTuple::Range< TYP >:

[legend]

List of all members.

## Detailed Description

### template<class TYP>
class NTuple::Range< TYP >

Class defining a range.

Definition at line 49 of file NTuple.h.

## Public Member Functions
| Range (const TYP low, const TYP upper)
| Standard constructor.
| Range (const Range< TYP > &copy)
| Copy constructor.
Range & | operator= (const Range< TYP > &copy)
| Adjust ranges.
virtual | ~Range ()
| Destructor.
TYP | lower () const
| Lower boundary of range.
TYP | upper () const
| Upper boundary of range.
TYP | distance () const
| Distance between lower and upper range.
template<>
IOpaqueAddress * | min ()
template<>
IOpaqueAddress * | max ()
## Static Public Member Functions
static TYP | min ()
| Minimal number of data.
static TYP | max ()
| Maximal number of data.
## Private Attributes
TYP | m_lower
| Lower boundary of range.
TYP | m_upper
| Upper boundary of range.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Range< TYP >::Range | ( | const TYP | low,
|  | const TYP | upper |
| ) |  |  | `[inline]`

Standard constructor.

Definition at line 56 of file NTuple.h.

    00056                                           : m_lower(low), m_upper(upper)   {
    00057     }

template<class TYP>

NTuple::Range< TYP >::Range | ( | const Range< TYP > & | copy | ) | `[inline]`

Copy constructor.

Definition at line 59 of file NTuple.h.

    00059                                   : m_lower(copy.m_lower),
    00060                                     m_upper(copy.m_upper) {
    00061     }

template<class TYP>

virtual NTuple::Range< TYP >::~Range | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 69 of file NTuple.h.

    00069 {                               }

## Member Function Documentation

template<class TYP>

Range& NTuple::Range< TYP >::operator= | ( | const Range< TYP > & | copy | ) | `[inline]`

Adjust ranges.

Definition at line 63 of file NTuple.h.

    00063                                                 {
    00064       m_lower = copy.m_lower;
    00065       m_upper = copy.m_upper;
    00066       return *this;
    00067     }

template<class TYP>

TYP NTuple::Range< TYP >::lower | ( |  | ) | const`[inline]`

Lower boundary of range.

Definition at line 71 of file NTuple.h.

    00071 { return m_lower;               }

template<class TYP>

TYP NTuple::Range< TYP >::upper | ( |  | ) | const`[inline]`

Upper boundary of range.

Definition at line 73 of file NTuple.h.

    00073 { return m_upper;               }

template<class TYP>

TYP NTuple::Range< TYP >::distance | ( |  | ) | const`[inline]`

Distance between lower and upper range.

Definition at line 75 of file NTuple.h.

    00075 { return m_upper-m_lower;       }

template<class TYP>

static TYP NTuple::Range< TYP >::min | ( |  | ) | `[inline, static]`

Minimal number of data.

Definition at line 77 of file NTuple.h.

    00077 { return std::numeric_limits<TYP>::min() ; }

template<class TYP>

static TYP NTuple::Range< TYP >::max | ( |  | ) | `[inline, static]`

Maximal number of data.

Definition at line 79 of file NTuple.h.

    00079 { return std::numeric_limits<TYP>::max() ; }

template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::min | ( |  | ) | `[inline]`

Definition at line 105 of file NTuple.h.

    00105 { return (IOpaqueAddress*)0x0        ; }

template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::max | ( | void |  | ) | `[inline]`

Definition at line 108 of file NTuple.h.

    00108 { return (IOpaqueAddress*)0xffffffff ; }

## Member Data Documentation

template<class TYP>

TYP NTuple::Range< TYP >::m_lower`[private]`

Lower boundary of range.

Definition at line 51 of file NTuple.h.

template<class TYP>

TYP NTuple::Range< TYP >::m_upper`[private]`

Upper boundary of range.

Definition at line 53 of file NTuple.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/NTuple.h